/* $Header: d:/cvsroot/tads/tads3/resload.h,v 1.2 1999/05/17 02:52:29 MJRoberts Exp $ */

/* Copyright (c) 1998 by Michael J. Roberts.  All Rights Reserved. */
/*
Name
  resload.h - resource loader
Function
  
Notes
  
Modified
  10/17/98 MJRoberts  - Creation
*/

#ifndef RESLOAD_H
#define RESLOAD_H

#include "t3std.h"

/* ------------------------------------------------------------------------ */
/*
 *   Resource loader.  
 */

class CResLoader
{
public:
    /* create the loader */
    CResLoader();

    /* 
     *   create the loader with a root directory - we'll look for external
     *   files under this directory 
     */
    CResLoader(const char *root_dir);

    /* delete */
    ~CResLoader();

    /* load a resource given a resource path */
    osfildef *open_res_file(const char *respath);

protected:
    /* root directory for external file searches */
    char *root_dir_;
};

#endif /* RESLOAD_H */

